## groovy.mock.interceptor
Class Demand

The object that registers method calls on it for the use with Mocks and Stubs. For each call a CallSpec object is added to the recorded list.

author:
  Dierk Koenig

Field Summary
`List` | `recorded`

Constructor Summary
`Demand()`

Method Summary
`Object` | `invokeMethod(String methodName, Object args)`
`def` | `verify(List calls)`

Constructor Detail

### Demand

    Demand()

Method Detail

### invokeMethod

    Object invokeMethod(String methodName, Object args)

### verify

    public def verify(List calls)